Subject: Re: ASoC on today's linux-next: dma_alloc_writecombine() failing at least on OMAP platforms

From: Peter Ujfalusi <[email-masked]>
Date: Thu, 27 Sep 2012 16:25:22 +0300

On 09/27/2012 03:59 PM, Mark Brown wrote:
> On Thu, Sep 27, 2012 at 03:16:45PM +0300, Peter Ujfalusi wrote:
> 
>> Can someone try linux-next on non OMAP platform to see if
>> dma_alloc_writecombine() works there?
> 
>> Meanwhile I'll try to find the reason why it fails for me.
> 
> Do you have CMA enabled?  There seems to be some breakage there for me
> on Samsung platforms, I saw this affecting all DMA users yesterday along
> with some other CMA related issues but didn't analyse it enough to
> report it.

I do had CMA enabled (not sure why) It has been enabled in my config for a
long time.
Without CONFIG_CMA all is fine.

Thank you,
Péter